langcode: en
status: true
dependencies:
  config:
    - block_content.type.carousel
    - field.field.block_content.carousel.field_autoplay_mode
    - field.field.block_content.carousel.field_carousel_items
    - field.field.block_content.carousel.field_controls
    - field.field.block_content.carousel.field_indicators
    - field.field.block_content.carousel.field_interval
    - field.field.block_content.carousel.field_touch
  module:
    - entity_reference_revisions
    - fences
    - ui_patterns
    - ui_patterns_field_formatters
  theme:
    - ui_suite_bootstrap
id: block_content.carousel.default
targetEntityType: block_content
bundle: carousel
mode: default
content:
  field_carousel_items:
    type: ui_patterns_component
    label: hidden
    settings:
      ui_patterns:
        component_id: 'ui_suite_bootstrap:carousel'
        variant_id:
          source_id: select
          source:
            value: default
        props:
          attributes:
            source_id: ui_styles_attributes
            source:
              styles:
                selected:
                  spacing_margin: m-2
              extra: ''
          with_controls:
            source_id: entity_field
            source:
              derivable_context: 'field:block_content:carousel:field_controls'
              'field:block_content:carousel:field_controls':
                value:
                  source_id: 'field_property:block_content:field_controls:value'
          with_indicators:
            source_id: entity_field
            source:
              derivable_context: 'field:block_content:carousel:field_indicators'
              'field:block_content:carousel:field_indicators':
                value:
                  source_id: 'field_property:block_content:field_indicators:value'
          with_touch:
            source_id: entity_field
            source:
              derivable_context: 'field:block_content:carousel:field_touch'
              'field:block_content:carousel:field_touch':
                value:
                  source_id: 'field_property:block_content:field_touch:value'
          interval:
            source_id: entity_field
            source:
              derivable_context: 'field:block_content:carousel:field_interval'
              'field:block_content:carousel:field_interval':
                value:
                  source_id: 'field_property:block_content:field_interval:value'
          autoplay_mode:
            source_id: entity_field
            source:
              derivable_context: 'field:block_content:carousel:field_autoplay_mode'
              'field:block_content:carousel:field_autoplay_mode':
                value:
                  source_id: 'field_property:block_content:field_autoplay_mode:value'
          carousel_id:
            source_id: textfield
            source:
              value: ''
        slots:
          slides:
            sources:
              -
                source_id: 'field_formatter:block_content:carousel:field_carousel_items'
                source:
                  type: entity_reference_revisions_entity_view
                  settings:
                    view_mode: default
                  third_party_settings:
                    fences:
                      fences_field_tag: none
                      fences_field_classes: ''
                      fences_field_items_wrapper_tag: none
                      fences_field_items_wrapper_classes: ''
                      fences_field_item_tag: none
                      fences_field_item_classes: ''
                      fences_label_tag: none
                      fences_label_classes: ''
                    linked_field:
                      type: custom
                      destination:
                        field: ''
                        custom: Array
                      advanced:
                        title: ''
                        target: ''
                        class: ''
                        rel: ''
                        text: ''
                      linked: 0
                      token: ''
                _weight: '0'
    third_party_settings:
      fences:
        fences_field_tag: none
        fences_field_classes: ''
        fences_field_items_wrapper_tag: none
        fences_field_items_wrapper_classes: ''
        fences_field_item_tag: none
        fences_field_item_classes: ''
        fences_label_tag: none
        fences_label_classes: ''
    weight: 0
    region: content
hidden:
  field_autoplay_mode: true
  field_controls: true
  field_indicators: true
  field_interval: true
  field_touch: true
  langcode: true
